# -*- coding: utf-8 -*-
"""
    demeter database
    name:device_printer.py
    author:rabin
"""
from .__load__ import *
class Device_printer(Model):
	__table__ = 'device_printer'
	__comment__ = '设备打印机管理'
	id = Fields(type='uuid', primaryKey=True, comment='打印机ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	name = Fields(type='varchar(50)', comment='打印机名', match='not', manage='list,update')
	host = Fields(type='varchar(150)', comment='打印机地址')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间', manage='list')